Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.radiosity
Class Vector3d

    java.lang.Object
      javax.vecmath.Tuple3d
          javax.vecmath.Vector3d
              de.grogra.ray2.radiosity.Vector3d

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Vector3d

extends Vector3d

This class extends the javax.vecmath.Vector3d class and adds same rotation functions.

Author:
  Ralf Kopsch
See Also:
  Serialized Form

Nested Class Summary
`class` | `Vector3d.Theta` Pair of angles.

Field Summary

Fields inherited from class javax.vecmath.Tuple3d
`x, y, z`

Constructor Summary
`Vector3d()` Creates a new Vector3D.
`Vector3d(double x, double y, double z)` A copy constructor.
`Vector3d(Tuple3d v)` A copy constructor.

Method Summary
`Vector3d.Theta` | `calcRotationToZ()` Pre calculates the rotation around the z axis.
`java.lang.Object` | `clone()`
`void` | `rotateX(double sinTheta, double cosTheta)` Rotates the vector around the x-axis.
`void` | `rotateY(double sinTheta, double cosTheta)` Rotates the vector around the y-axis.
`void` | `rotateZ(double sinTheta, double cosTheta)` Rotates the vector around the z-axis.

Methods inherited from class javax.vecmath.Vector3d
`angle, cross, dot, length, lengthSquared, normalize, normalize`

Methods inherited from class javax.vecmath.Tuple3d
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, epsilonEquals, equals, equals, get, get, hashCode, interpolate, interpolate, max, min, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Vector3d

    public Vector3d()

  Creates a new Vector3D.

### Vector3d

    public Vector3d(double x,
                    double y,
                    double z)

  A copy constructor.

  Parameters:
    `x` - the x-coordinate.
    `y` - the y-coordinate.
    `z` - the z-coordinate.

### Vector3d

    public Vector3d(Tuple3d v)

  A copy constructor.

  Parameters:
    `v` - the vector to clone.

Method Detail

### calcRotationToZ

    public Vector3d.Theta calcRotationToZ()

  Pre calculates the rotation around the z axis.

  Returns:
    the calculated angles.

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Vector3d`

### rotateX

    public void rotateX(double sinTheta,
                        double cosTheta)

  Rotates the vector around the x-axis.

  Parameters:
    `sinTheta` - the sinus angle.
    `cosTheta` - the cosinus angle.

### rotateY

    public void rotateY(double sinTheta,
                        double cosTheta)

  Rotates the vector around the y-axis.

  Parameters:
    `sinTheta` - the sinus angle.
    `cosTheta` - the cosinus angle.

### rotateZ

    public void rotateZ(double sinTheta,
                        double cosTheta)

  Rotates the vector around the z-axis.

  Parameters:
    `sinTheta` - the sinus angle.
    `cosTheta` - the cosinus angle.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD